cgGetFirstEffectParameter(3)

NAME
cgGetFirstEffectParameter - get the first parameter in an effect

SYNOPSIS
  #include <Cg/cg.h>
  CGparameter cgGetFirstEffectParameter( CGeffect effect );

PARAMETERS

effect
    The effect from which to retrieve the first parameter.

RETURN VALUES
Returns the first CGparameter object in effect.

Returns NULL if effect is invalid or if effect does not have any parameters.

DESCRIPTION
The first top-level parameter in an effect can be retrieved using cgGetFirstEffectParameter. The rest of the effect's parameters can be discovered by iterating through them using ccgGetNextParameter.

EXAMPLES
  CGparameter param = cgGetFirstEffectParameter( effect );
  while( param )
  {
     /* do something with param */
     param = ccgGetNextParameter( param );
  }

ERRORS
CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

HISTORY
cgGetFirstEffectParameter was introduced in Cg 1.4.

SEE ALSO
cgGetNextParameter, cgGetNamedEffectParameter